#include <stdio.h>
#include <fcntl.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/wait.h>

#include "procstate.h"
#include "tests.h"

int run_on(int cpu);

int
main(void)
{
	if (run_on(0) || run_on(1)) {
		printf("fail\n");
	}
	printf("pass\n");
	return 0;
}

int
run_on(int cpu)
{
	unsigned long mask = 1UL << cpu;

	sched_setaffinity(getpid(), sizeof(mask), &mask);
	
	if (cur_cpu() != cpu)
		return 1;
		
	return 0;
}
